Package it.ernytech.tdlib

## Class TdApi.AddRecentSticker

- java.lang.Object
- - it.ernytech.tdlib.TdApi.Object
  - - it.ernytech.tdlib.TdApi.Function
    - - it.ernytech.tdlib.TdApi.AddRecentSticker

Enclosing class:
  TdApi

    public static class TdApi.AddRecentSticker
    extends TdApi.Function

Manually adds a new sticker to the list of recently used stickers. The new sticker is added to the top of the list. If the sticker was already in the list, it is removed from the list first. Only stickers belonging to a sticker set can be added to this list.

Returns `Stickers`

### Field Summary

Fields
`static int` `CONSTRUCTOR` Identifier uniquely determining type of the object.
`boolean` `isAttached` Pass true to add the sticker to the list of stickers recently attached to photo or video files; pass false to add the sticker to the list of recently sent stickers.
`TdApi.InputFile` `sticker` Sticker file to add.

### Constructor Summary

Constructors
`AddRecentSticker()` Default constructor.
`AddRecentSticker​(boolean isAttached, TdApi.InputFile sticker)` Constructor for initialization of all fields.

### Method Summary

All Methods Instance Methods Concrete Methods
`int` `getConstructor()`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

### Methods inherited from class it.ernytech.tdlib.TdApi.Function

`toString`

### Field Detail

#### isAttached

    public boolean isAttached

Pass true to add the sticker to the list of stickers recently attached to photo or video files; pass false to add the sticker to the list of recently sent stickers.

#### sticker

    public TdApi.InputFile sticker

Sticker file to add.

#### CONSTRUCTOR

    public static final int CONSTRUCTOR

Identifier uniquely determining type of the object.

See Also:
  Constant Field Values

### Constructor Detail

#### AddRecentSticker

    public AddRecentSticker()

Default constructor.

#### AddRecentSticker

    public AddRecentSticker​(boolean isAttached,
                            TdApi.InputFile sticker)

Constructor for initialization of all fields.

Parameters:
  `isAttached` - Pass true to add the sticker to the list of stickers recently attached to photo or video files; pass false to add the sticker to the list of recently sent stickers.
  `sticker` - Sticker file to add.

### Method Detail

#### getConstructor

    public int getConstructor()

Specified by:
  `getConstructor` in class `TdApi.Object`
Returns:
  this.CONSTRUCTOR